#include <iostream>

using namespace std;

int main()
{
    int n, k, i, j, br, x=0;
    cin>>n>>k;
    int a[n], b[x];
    for(i=0;i<n;i++)
    {
        cin>>a[i];
    }
    for(i=-n;i<n+1;i++)
    {
        br=0;
        for(j=0;j<n;j++)
        {
            if(a[j]==i)
            {
                br++;
            }
        }
        if(br>=k)
        {
            b[x++]=i;
        }
    }
    cout<<x<<endl;
    for(i=0;i<x;i++)
    {
        cout<<b[i]<<" ";
    }
}